--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Wraps Kernel.select on the socket
full_name: Irc::Socket#select
is_singleton: false
name: select
params: (timeout=nil)
visibility: public
